Upgrade CAPC from prior version to 3.6 fails.

Document ID : KB000103992
Last Modified Date : 02/07/2018
Show Technical Document Details
Introduction:
CAPC Upgrade fails with the following error:

Jun 28, 2018 3:47:50 AM com.ca.im.installanywhere.util.DbMigrate run
SEVERE: Error executing command: CALL item_grouppath_tables() on line 223 in script /opt/CA/PerformanceCenter/EM/SQL/upgrade/3.6.0.0/update_grouppath_tables.sql Incorrect string value: '\xDE\x8F' for column 'ItemName' at row 1
Execute Custom Code
class com.ca.im.installanywhere.action.MigrateDb FatalInstallException DbMigrate threw an exception: java.sql.SQLException: Error executing command: CALL item_grouppath_tables() on line 223 in script /opt/CA/PerformanceCenter/EM/SQL/upgrade/3.6.0.0/update_grouppath_tables.sql Incorrect string value: '\xDE\x8F' for column 'ItemName' at row 1
Background:
CAPC installed using the Latin1 (ISO-8859-1) character set causes some tables in mysql to default to latin1 which affects the cell size, and leads to insert failures if item names include Unicode characters.
 
Environment:
Upgrading from any older version to CAPC 3.6
Instructions:
A script to fix this issue and a readme file are available on the CA support.ca.com download site when you are downloading the 3.6 install media.
fix
If possible, run this script before doing the upgrade.

If the upgrade has already failed, then stop.
Run the script.
Then re-launch the upgrade.
 
Additional Information:
The fix will be included in the first kit for 3.6 and the script will no longer be needed.